Bug Hunting Session
Bug 114681 - No support for Glagolitic in LibreOffice
Summary: No support for Glagolitic in LibreOffice
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2017-12-24 18:25 UTC by Aleksandr Andreev
Modified: 2019-01-04 08:39 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Screenshot of actual and expected (Firefox) results (103.76 KB, image/png)
2017-12-24 18:26 UTC, Aleksandr Andreev
Details
Test file (9.73 KB, application/vnd.oasis.opendocument.text)
2017-12-24 18:28 UTC, Aleksandr Andreev
Details
Glyph positioning after applying patch. (94.29 KB, image/png)
2018-01-03 04:35 UTC, Aleksandr Andreev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Andreev 2017-12-24 18:25:44 UTC
Description:
LibreOffice does not appear to provide correct support for Glagolitic (Unicode blocks U+2C00 to U+2C5F and U+1E000 to U+1E02F). The following is not supported:

1. No support for OpenType positioning (see picture).

2. Cannot switch the lettercase for Glagolitic characters.

Tested on Linux Mint 17 (Qiana), Version: 5.4.4.2.


Steps to Reproduce:
1. See attached file with Glagolitic text.
2. Glagolitic font may be donwloaded from here: http://sci.ponomar.net/fonts.html


Actual Results:  
1. Combining letters and diacritics not positioned correctly
2. Casing of lowercase to uppercase does not work.

Expected Results:
1. Diacritics and combining letters should be positioned correctly.
2. Cases should be cycled.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Aleksandr Andreev 2017-12-24 18:26:34 UTC
Created attachment 138629 [details]
Screenshot of actual and expected (Firefox) results
Comment 2 Aleksandr Andreev 2017-12-24 18:28:06 UTC
Created attachment 138630 [details]
Test file
Comment 3 Aleksandr Andreev 2017-12-25 10:39:11 UTC
I think this patch fixes at least the case folding issues:

https://gerrit.libreoffice.org/#/c/47057/
Comment 4 Commit Notification 2018-01-02 09:34:05 UTC
Aleksandr Andreev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08c20c208e17dfbdaf0e140dac7b2c4a2868dd52

tdf#114681: Adding support for case folding in Glagolitic

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Aleksandr Andreev 2018-01-03 04:34:50 UTC
Looks like the patch also fixes the OpenType positioning issues for Glagolitic (see attached), so perhaps this can be now marked Resolved?
Comment 6 Aleksandr Andreev 2018-01-03 04:35:52 UTC
Created attachment 138832 [details]
Glyph positioning after applying patch.
Comment 7 Volga 2018-01-03 11:58:51 UTC
Is it possible to port to 6.0?
Comment 8 QA Administrators 2019-01-04 03:40:05 UTC Comment hidden (obsolete)
Comment 9 Aleksandr Andreev 2019-01-04 08:39:36 UTC
Looks like glyph positioning is now fine. However, converting Glagolitic lowercase to uppercase does not work in Version: 6.0.7.3
Build ID: 1:6.0.7-0ubuntu0.18.04.2.